* {
  --color : rgb(157, 157, 157);
  --colorBG : black;
  --colorEmphasis : white;
}

html,
body {
  height: 100%;
  margin: 0;
  font-family: Arial;
  color: var(--color);
  overflow: hidden;
  background-color: var(--colorBG);
}

p {
  margin: 0;
}

.wrap {
  position: fixed;
  width: 100vw;
  height: 100vh;
  pointer-events: none;
  padding: 18px;
  z-index: 1;

}


.viz {
  margin-top: 18px;
  display: flex;
  align-items: center;
  justify-content: center
}

svg {
  width: 90vw;
  height: 90vh;
  pointer-events: none;
  /* transition: transform 0.8s ease, opacity 0.4s ease; */
  /* durée et easing du zoom */
  transform-origin: center center;
  /* opacity: 1; */
  /* animation: zoomOut 1s ease-out; */
  /* zoom centré sur le centre du SVG */
}

/* TITRE */
.titre-section{
  position: fixed;
  top: 10px;
  left: 10px;
  color: var(--colorEmphasis);
}

h1 {
}

h2::before{
  content: '[';
}

h2::after{
  content: ']';
}

/* TIMELINE */
#timeline-container{
  position: fixed;
  display: flex;
  z-index: 2;
  justify-content: center;
  width: 100%;
  bottom: 10px;
  transform: translateX(-4%);
}

#timeline {
  display: flex;
  position: relative;
}

#timeline::before {
  content: '';
  position: fixed;
  width: 100%;
  height: 1px;
  top: 24px;
}

.anneeDecennieTimeline {
  color: var(--color);
  cursor: pointer;
  position: relative;
  width: 80px;
  opacity: 0.3;
  pointer-events: none;
  cursor: pointer;
}

.anneeDecennieTimeline.unlocked {
  opacity: 1;
  pointer-events: auto;
  cursor: pointer;
}

/* Etat actif */
.anneeDecennieTimeline.yearsActive {
  opacity: 1;
}

#lastYear {
  pointer-events: none;
}

.anneeDecennieTimeline::before{
  content: '';
  width: 100%;
  height: 15px;
  border: 1px solid var(--color);
  border-top: none;
  position: absolute;
  bottom: 24px;
  left: 0;
  margin-left: 22px;
}

.anneeDecennieTimeline:hover::before{
  background-color: var(--color);
}

#lastYear::before{
  border: none;
}

#lastYear:hover::before{
  background-color: transparent;
}

.yearsActive::before{
  background-color: var(--color);
}

#resetView{
  margin-right: 5%;
}

/* LEGENDES */
.legende {
  color: var(--color);
  position: fixed;
  bottom: 0;
  left: 10px;
  font-size: 0.8rem;
  padding-left: 5px;
  width: 180px;
}

.txt-legende {
  margin: 0;
  margin-bottom: 35px;
}

.dot-legende {
  content: '';
  width: 10px;
  height: 10px;
  position: fixed;
  left: 15px;
  background-color: var(--color);
  border-radius: 50px;
  margin-top: -18px;
}

.vue-globale {
  color: var(--color);
  cursor: pointer;
}

/* BLOC DESCRIPTION OEUVRE */
.infos-oeuvre-container {
  color: var(--colorEmphasis);
  position: fixed;
  top: 10px;
  right: 10px;
  opacity: 0;
  width: 16%;
  border: 1px solid var(--color);
  background-color: var(--colorBG);
  z-index: 5;
}

.infos-oeuvre-container.open {
  opacity: 1;
  pointer-events: auto;
}

.infos-oeuvre-container.expanded {
  width: 96.5vw;
  height: 92.5vh;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1.2fr;
  gap: 24px;
  padding: 24px;
  background-color: var(--colorBG);
}

.infos-oeuvre-container.expanded .container-item {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.expanded img.image-oeuvre {
  grid-column: 1/7;
  height: 85vh;
}

.expanded .container-item {
  grid-column: 7/7;
}


.container-item {
  border-top: 1px solid var(--color);
  padding: 10px;
}

.titre-item {
  color: var(--color);
}

.titre-item::after {
  content: ']';
}

.titre-item::before {
  content: '[';
}

.info-item {
  display: inline;
}

.image-oeuvre {
  width: 92%;
  height: auto;
  padding: 10px;
  object-fit: contain;
}

.header-oeuvre {
  display: flex;
  align-items: center;
  gap: 8px;
  padding-bottom: 0;
  border-top: 0;
}

.expanded .header-oeuvre {
  grid-row: 1/2;
}

#dot-oeuvre {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  display: inline-block;
}

.keyword-oeuvre {
  font-weight: 500;
  text-transform: lowercase;
  opacity: 0.8;
  color: var(--color);
}

#btn {
  color: var(--color);
  position: fixed;
  right: 16px;
  cursor: pointer;
}

.expanded #btn {
  top: 16px;
}

.container-description {
  border-top: 0;
  grid-row: 1/2;
  padding: 0;
}

.expanded .container-description {
  margin-top: 60px;
}

.voir-plus {
  cursor: pointer;
  text-align: center;
  padding: 5px;
}

.voir-plus:hover {
  background-color: var(--color);
  color: var(--colorBG);
}

.expanded .voir-plus {
  border: 1px solid var(--color);
}


/* CABLES GL CANVAS */


#glcanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 0;
  outline: 0;
  pointer-events: auto;
  opacity: 0.4;
  transition: opacity 0.3s ease;
}

body:has(.viz:hover) #glcanvas {
  opacity: 0.4;
}
